Page MenuHomePhabricator

[Task] Remove as much unused and obsolete JavaScript code as possible from all Wikibase code bases
Closed, ResolvedPublic

Description

The Wikibase code base still contains JavaScript code that was created back in 2013 when significant portions of the projects logic was exclusively encoded in JavaScript frontend code. In general, we want to remove as much unneeded code from the JavaScript code base as possible, to make it easier to maintain. This will make future migrations away from jQuery UI to OOjs and Vue.js easier.

Acceptance criteria for this ticket is not specific code that must be removed, but a time constraint on everything that can be achieved during Wikimania-Hackathon-2017.

Patch-For-Review:

Sum: ~3,500 lines

Not to forget these patches by @WMDE-leszek that remove local copies of jQuery and other libraries:

Event Timeline

Restricted Application added subscribers: PokestarFan, Aklapper. · View Herald TranscriptAug 9 2017, 4:42 PM
thiemowmde triaged this task as Normal priority.Aug 9 2017, 4:42 PM
thiemowmde moved this task from incoming to in progress on the Wikidata board.

Change 370811 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/Wikibase@master] Drop the " 1" in both "(5 1 references/sitelinks)" messages

https://gerrit.wikimedia.org/r/370811

Change 370835 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[data-values/value-view@master] Remove redundant CalendarHint from TimeInput expert

https://gerrit.wikimedia.org/r/370835

Change 370843 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/Wikibase@master] Remove removed CalendarHint selector

https://gerrit.wikimedia.org/r/370843

thiemowmde updated the task description. (Show Details)Aug 9 2017, 4:52 PM
thiemowmde updated the task description. (Show Details)

Change 370835 merged by jenkins-bot:
[data-values/value-view@master] Remove redundant CalendarHint from TimeInput expert

https://gerrit.wikimedia.org/r/370835

Change 370843 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove removed CalendarHint selector

https://gerrit.wikimedia.org/r/370843

Change 370811 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Drop the " 1" in both "(5 1 references/sitelinks)" messages

https://gerrit.wikimedia.org/r/370811

thiemowmde updated the task description. (Show Details)Aug 10 2017, 9:34 PM
thiemowmde updated the task description. (Show Details)Aug 10 2017, 9:39 PM
thiemowmde updated the task description. (Show Details)Aug 10 2017, 9:58 PM
thiemowmde updated the task description. (Show Details)Aug 10 2017, 10:47 PM

Change 371209 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[data-values/value-view@master] Remove unused dependency on DataValues JavaScript's coordinate formatter

https://gerrit.wikimedia.org/r/371209

thiemowmde updated the task description. (Show Details)Aug 10 2017, 11:16 PM
thiemowmde updated the task description. (Show Details)Aug 11 2017, 2:47 PM

Change 371209 merged by jenkins-bot:
[data-values/value-view@master] Remove unused dependency on DataValues JavaScript's coordinate formatter

https://gerrit.wikimedia.org/r/371209

thiemowmde updated the task description. (Show Details)Sep 5 2017, 11:29 AM
thiemowmde updated the task description. (Show Details)Sep 7 2017, 9:03 AM
thiemowmde moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.
thiemowmde updated the task description. (Show Details)Sep 7 2017, 9:08 AM
thiemowmde added a subscriber: WMDE-leszek.
Krinkle removed a subscriber: Krinkle.
thiemowmde updated the task description. (Show Details)Oct 6 2017, 9:22 AM
thiemowmde moved this task from Doing to Review on the Wikidata-Former-Sprint-Board board.
Lucas_Werkmeister_WMDE moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.

Are we done here?

thiemowmde closed this task as Resolved.Oct 6 2017, 2:06 PM
thiemowmde removed a project: Patch-For-Review.